Package org.apache.storm.trident.planner.processor

# Class ProjectedProcessor

java.lang.Object
org.apache.storm.trident.planner.processor.ProjectedProcessor

All Implemented Interfaces:
  `Serializable`, `TridentProcessor`, `TupleReceiver`

public class ProjectedProcessor extends Object implements TridentProcessor

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectedProcessor(Fields projectFields)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  `void`
  `execute(ProcessorContext processorContext, String streamId, TridentTuple tuple)`
  `void`
  `finishBatch(ProcessorContext processorContext)`
  `void`
  `flush()`
  `TridentTuple.Factory`
  `getOutputFactory()`
  `void`
  `prepare(Map<String,Object> conf, TopologyContext context, TridentContext tridentContext)`
  `void`
  `startBatch(ProcessorContext processorContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectedProcessor

    public ProjectedProcessor(Fields projectFields)

- ## Method Details

  - ### prepare

    public void prepare(Map<String,Object> conf, TopologyContext context, TridentContext tridentContext)
    Specified by:
      `prepare` in interface `TridentProcessor`

  - ### cleanup

    public void cleanup()
    Specified by:
      `cleanup` in interface `TridentProcessor`

  - ### startBatch

    public void startBatch(ProcessorContext processorContext)
    Specified by:
      `startBatch` in interface `TridentProcessor`

  - ### execute

    public void execute(ProcessorContext processorContext, String streamId, TridentTuple tuple)
    Specified by:
      `execute` in interface `TupleReceiver`

  - ### flush

    public void flush()
    Specified by:
      `flush` in interface `TupleReceiver`

  - ### finishBatch

    public void finishBatch(ProcessorContext processorContext)
    Specified by:
      `finishBatch` in interface `TridentProcessor`

  - ### getOutputFactory

    public TridentTuple.Factory getOutputFactory()
    Specified by:
      `getOutputFactory` in interface `TridentProcessor`